gnustep-back (0.32.0-3) unstable; urgency=medium

  * debian/templates/gnustep-back-common.bug-script.in: Set LC_ALL=C when
    running update-alternatives.
  * debian/patches/gcc-15.patch: New; fix FTBFS with GCC 15 (#1096745).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 26 Mar 2025 00:11:03 +0200

gnustep-back (0.32.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.2; no actual changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 12:31:32 +0200

gnustep-back (0.32.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_gui): Define back to $(v_back).
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/patches/gpbs-ignore-SIGCHLD.patch: Refresh.
  * debian/copyright: Add general comment about outdated license notices
    not matching the actual license.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Feb 2025 20:21:11 +0200

gnustep-back (0.31.0-8) unstable; urgency=medium

  * debian/templates/control.m4 (gnustep-back`'SOV_BACK) <Breaks>: Add
    gnustep-dl2 (<< 0.12.0+git20171224-4) to assist britney.
  * debian/control: Regenerate.
  * debian/upstream/metadata: Add missing marker.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 14:29:53 +0200

gnustep-back (0.31.0-7) unstable; urgency=medium

  * debian/patches/gpbs-ignore-SIGCHLD.patch: New; add SIGCHLD to the list
    of signals not handled by gpbs' handler function.  It is emitted by
    pclose in gnustep-base's multiarch+cross.patch which leads to gpbs'
    handler being called and it treats it as fatal for no good reason.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 Feb 2025 12:39:49 +0200

gnustep-back (0.31.0-6) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 08:15:51 +0200

gnustep-back (0.31.0-5) experimental; urgency=medium

  * Rebuild with the multiarch layout so backends can be loaded.
  * Run wrap-and-sort -ast.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_gui): Set to 0.31.1-7.
  * debian/templates/control.m4 (gnustep-back`'SOV_BACK)
    (gnustep-back-common): Set as Multi-Arch: foreign.
    (gnustep-back`'SOV_BACK-cairo, gnustep-back`'SOV_BACK-headless)
    (gnustep-back`'SOV_BACK-xlib): Set as Multi-Arch: same.
  * debian/control: Regenerate.
  * debian/upstream/metadata: New file.
  * debian/watch: Remove pasv option; we no longer use FTP.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 25 Jan 2025 15:18:39 +0200

gnustep-back (0.31.0-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Don't generate
    gnustep-back-common.install; its content is constant.
    (execute_before_dh_link): New target; run dh_gnustep.
  * debian/templates/gnustep-back-common.install.in: Rename as...
  * debian/gnustep-back-common.install: ...since generating it is useless.
  * debian/clean: Adjust pattern for .install files.
  * debian/tests/adequate: New test.
  * debian/tests/control (Tests): Add new test.
    (Depends): Add adequate and debhelper.
  * debian/copyright: Switch main license to LGPL-2.1+, a change made
    upstream long time ago.  Add separate stanza for files under
    HPND-sell-variant (was put with other files under the Expat license).
    Remove redundant stanzas.  Remove LGPL-2+ and LGPL-3+ license blurbs,
    add LGPL-2.1+ and the full text of the HPND-sell-variant license.
  * debian/templates/control.m4 (Depends): Tighten depends on
    gnustep-back-common.  This reverts the change made in 0.26.2-1.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 17 Aug 2024 20:49:39 +0300

gnustep-back (0.31.0-3) unstable; urgency=medium

  * debian/templates/gnustep-back-common.bug-script.in: New file; report
    the system and user backend.
  * debian/rules (override_dh_auto_configure): Add command to generate
    debian/gnustep-back-common.bug-script.
  * debian/clean: Delete the bug-script file.
  * debian/watch: Use HTTPS protocol.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 02 Jul 2024 15:17:41 +0300

gnustep-back (0.31.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 Jun 2024 15:05:18 +0300

gnustep-back (0.31.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control: Regenerate to reflect the SONAME change.
  * debian/templates/control.m4 (Build-Depends): Replace libgl1-mesa-dev
    with libgl-dev and pkg-config with pkgconf.
    (Uploaders): Change Gürkan's name to Alex.
    (Standards-Version): Bump to 4.7.0; no changes needed.
    (gnustep-back`'SOV_BACK-headless): New package.
  * debian/rules (p_headless, b_headless): New helper variables.
    (override_dh_autoconfigure): Generate .install, .links, .prerm and
    .postinst files for the headless backend.  Add configure commands.
    Do not generate gnustep-back-common.postinst; removed.
    (override_dh_auto_build): Add command to build the headless backend.
    (override_dh_auto_install): Install the headless backend.
    (override_dh_auto_clean): Delete $(b_headless).
  * debian/README.Debian: Mention the headless backend.
  * debian/tests/load_backends.m (main): Test the headless backend.
  * debian/templates/gnustep-back-common.postinst.in: Delete; was needed
    only for bullseye -> bookworm upgrades.
  * debian/clean: Remove debian/*.preinst.
  * debian/copyright-scan-patterns.yml: Delete; unused these days.
  * debian/fill.copyright.blanks.yml: Likewise.
  * debian/fix.scanned.copyright: Likewise.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 06 Jun 2024 14:35:19 +0300

gnustep-back (0.30.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 17 Jun 2023 12:50:10 +0300

gnustep-back (0.30.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (gnustep-back`'SOV_BACK) <Suggests>:
    Replace gsfonts-x11 with fonts-urw-base35 (Closes: #1020352).
    (Standards-Version): Bump to 4.6.2; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/copyright: Update copyright years, add more Expat-licensed
    files, add one more copyright holder.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 06 Jan 2023 10:54:59 +0200

gnustep-back (0.29.0-3) unstable; urgency=medium

  * The "Bye bye art, bye bye happiness" release.
  * debian/templates/control.m4 (Build-Depends): Remove libart-2.0-dev,
    thus dropping the art backend (Closes: #885786).
    (gnustep-back`'SOV_BACK-art): Delete; this automagically "fixes" bugs
    related to the art backend (Closes: #296977, #918789).
    (gnustep-back-common) <Depends>: Remove fontconfig and mknfonts.tool.
    (Standards-Version): Bump to 4.6.1; no changes needed.
  * debian/control: Regenerate.
  * debian/rules (p_art, b_art, DEB_GNUSTEP_FONTSDIR): Do not define.
    (override_dh_auto_configure): Remove commands for generation of art's
    maintainer scripts, .install and .links files.  Delete the separate
    configuration snippet needed for the art backend.
    (override_dh_auto_build): Don't build the art backend.
    (override_dh_auto_install): Don't install the art backend.
    (override_dh_auto_clean): Don't delete $(b_art).
  * debian/patches/debian-fonts.patch: Delete; no longer needed.
  * debian/patches/series: Delete.
  * debian/templates/gnustep-back-common.postinst.in: Don't generate fonts
    for the art backend.  Handle cleanup of art's remains.
  * debian/templates/gnustep-back-common.prerm.in: Delete; unnecessary.
  * debian/templates/gnustep-back-common.preinst.in: Likewise.
  * debian/tests/load_backends.m (main): Don't load the art backend.
  * debian/README.Debian: Remove all info relevant to art.
  * debian/NEWS: Inform users about the art removal.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 26 Aug 2022 13:05:52 +0300

gnustep-back (0.29.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 02:43:29 +0200

gnustep-back (0.29.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Uploaders): Update Gürkan's address.
    (Standards-Version): Bump to 4.6.0; no changes required.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules (override_dh_auto_build, override_dh_auto_install):
    Stop defining GNUSTEP_BUILD_DIR; FTBFS with gnustep-make/2.9.0.
  * debian/patches/cache-pattern.patch: Remove; fixed upstream.
  * debian/patches/fix-spelling-error.patch: Likewise.
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years, add Expat license and
    appropriate entry for two new files from the wayland backend.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 15 Nov 2021 23:42:34 +0200

gnustep-back (0.28.0-3) unstable; urgency=medium

  * debian/patches/cache-pattern.patch: New; should fix occasionally
    missing font(s) in the UI with the cairo backend (Closes: #968386).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Build-Depends): Switch to the
    debhelper-compat mechanism.
    (Standards-Version): Bump to 4.5.1; no changes needed.
  * debian/control: Regenerate.
  * debian/compat: Delete.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 26 Jan 2021 19:55:52 +0200

gnustep-back (0.28.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 12 Jun 2020 13:56:30 +0300

gnustep-back (0.28.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/compat: Set to 13.
  * debian/templates/control.m4 (Build-Depends): Drop gnustep-make;
    required version is in buster.  Bump debhelper requirement to match
    the compat level.  Replace libfontconfig1-dev and libfreetype6-dev
    (now empty/dummy packages) with libfontconfig-dev and libfreetype-dev,
    respectively.  Add libxrandr-dev.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.5.0; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Remove -Wl,--as-needed,
    default as of GCC 9.
  * debian/NEWS.Debian: Rename as...
  * debian/NEWS: ... so that it gets installed automatically.  Remove
    asterisks from all entries.
  * debian/patches/fix-spelling-error.patch: Refresh.
  * debian/patches/debian-fonts.patch: Likewise.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 02 May 2020 17:36:29 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnustep-back-common`.
